path: /build/build/containerd-app-emulation-1.7.20.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="btrfs seccomp" emerge app-emulation/containerd -pv -t && \
    USE="btrfs seccomp" emerge -j ${JOBS} --nodeps app-emulation/containerd
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/containerd && luet-portage --dir /pkgdir/containerd
    app-emulation/containerd && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:becb24c07f15ae1f60a96d1ece57b01c10f1c07eed5ef34a9c5425d833f2e564
  package:
    name: containerd
    version: 1.7.20
    category: app-emulation
    use_flags:
    - btrfs
    - seccomp
    requires:
    - name: go-md2man
      version: '>=0'
      category: dev-go
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A daemon to control runC
    uri:
    - https://containerd.io/
    license: Apache-2.0
    buildtimestamp: 2024-08-19 12:10:43.012556146 +0000 UTC m=+332.596998419
    labels:
      BDEPEND: dev-go/go-md2man virtual/pkgconfig >=dev-lang/go-1.12 app-arch/unzip
        virtual/pkgconfig
      DEPEND: btrfs? ( sys-fs/btrfs-progs ) seccomp? ( sys-libs/libseccomp )
      IUSE: apparmor btrfs device-mapper +cri hardened +seccomp selinux test
      RDEPEND: btrfs? ( sys-fs/btrfs-progs ) seccomp? ( sys-libs/libseccomp ) app-emulation/runc
      emerge.packages: app-emulation/containerd
      kit: core-kit
      original.package.name: app-emulation/containerd
      original.package.slot: "0"
      original.package.version: 1.7.20
    treedir: /build/packages
  package_dir: /pkgdir/containerd
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 5e7534d28afb3d22ba796c1e360342364363a37620759915bf3a713d69a4ee0b
compressiontype: zstd
files:
- etc/init.d/containerd
- lib/systemd/system/containerd.service
- usr/bin/containerd
- usr/bin/containerd-shim
- usr/bin/containerd-shim-runc-v1
- usr/bin/containerd-shim-runc-v2
- usr/bin/containerd-stress
- usr/bin/ctr
- usr/bin/gen-manpages
- usr/share/doc/containerd-1.7.20/.editorconfig.bz2
- usr/share/doc/containerd-1.7.20/ADOPTERS.md.bz2
- usr/share/doc/containerd-1.7.20/NRI.md.bz2
- usr/share/doc/containerd-1.7.20/PLUGINS.md.bz2
- usr/share/doc/containerd-1.7.20/README.md.bz2
- usr/share/doc/containerd-1.7.20/RELEASES.md.bz2
- usr/share/doc/containerd-1.7.20/ROADMAP.md.bz2
- usr/share/doc/containerd-1.7.20/RUNC.md.bz2
- usr/share/doc/containerd-1.7.20/SCOPE.md.bz2
- usr/share/doc/containerd-1.7.20/client-opts.md.bz2
- usr/share/doc/containerd-1.7.20/containerd-nri-integration.png
- usr/share/doc/containerd-1.7.20/content-flow.md.bz2
- usr/share/doc/containerd-1.7.20/cri/architecture.md.bz2
- usr/share/doc/containerd-1.7.20/cri/architecture.png
- usr/share/doc/containerd-1.7.20/cri/config.md.bz2
- usr/share/doc/containerd-1.7.20/cri/cri.png
- usr/share/doc/containerd-1.7.20/cri/crictl.md.bz2
- usr/share/doc/containerd-1.7.20/cri/decryption.md.bz2
- usr/share/doc/containerd-1.7.20/cri/installation.md.bz2
- usr/share/doc/containerd-1.7.20/cri/registry.md.bz2
- usr/share/doc/containerd-1.7.20/cri/testing.md.bz2
- usr/share/doc/containerd-1.7.20/garbage-collection.md.bz2
- usr/share/doc/containerd-1.7.20/getting-started.md.bz2
- usr/share/doc/containerd-1.7.20/historical/cri/containerd.png
- usr/share/doc/containerd-1.7.20/historical/cri/performance.png
- usr/share/doc/containerd-1.7.20/historical/cri/proposal.md.bz2
- usr/share/doc/containerd-1.7.20/historical/design/architecture.md.bz2
- usr/share/doc/containerd-1.7.20/historical/design/architecture.png
- usr/share/doc/containerd-1.7.20/historical/design/data-flow.md.bz2
- usr/share/doc/containerd-1.7.20/historical/design/data-flow.png
- usr/share/doc/containerd-1.7.20/historical/design/lifecycle.md.bz2
- usr/share/doc/containerd-1.7.20/historical/design/mounts.md.bz2
- usr/share/doc/containerd-1.7.20/historical/design/snapshot_model.png
- usr/share/doc/containerd-1.7.20/historical/design/snapshots.md.bz2
- usr/share/doc/containerd-1.7.20/historical/reports/2017-01-13.md.bz2
- usr/share/doc/containerd-1.7.20/historical/reports/2017-01-20.md.bz2
- usr/share/doc/containerd-1.7.20/historical/reports/2017-01-27.md.bz2
- usr/share/doc/containerd-1.7.20/historical/reports/2017-02-10.md.bz2
- usr/share/doc/containerd-1.7.20/historical/reports/2017-02-24.md.bz2
- usr/share/doc/containerd-1.7.20/historical/reports/2017-03-10.md.bz2
- usr/share/doc/containerd-1.7.20/historical/reports/2017-03-17.md.bz2
- usr/share/doc/containerd-1.7.20/historical/reports/2017-03-24.md.bz2
- usr/share/doc/containerd-1.7.20/historical/reports/2017-04-28.md.bz2
- usr/share/doc/containerd-1.7.20/historical/reports/2017-05-05.md.bz2
- usr/share/doc/containerd-1.7.20/historical/reports/2017-05-19.md.bz2
- usr/share/doc/containerd-1.7.20/historical/reports/2017-05-26.md.bz2
- usr/share/doc/containerd-1.7.20/historical/reports/2017-06-09.md.bz2
- usr/share/doc/containerd-1.7.20/historical/reports/2017-06-23.md.bz2
- usr/share/doc/containerd-1.7.20/hosts.md.bz2
- usr/share/doc/containerd-1.7.20/managed-opt.md.bz2
- usr/share/doc/containerd-1.7.20/namespaces.md.bz2
- usr/share/doc/containerd-1.7.20/ops.md.bz2
- usr/share/doc/containerd-1.7.20/remote-snapshotter.md.bz2
- usr/share/doc/containerd-1.7.20/rootless.md.bz2
- usr/share/doc/containerd-1.7.20/snapshotters/README.md.bz2
- usr/share/doc/containerd-1.7.20/snapshotters/devmapper.md.bz2
- usr/share/doc/containerd-1.7.20/stream_processors.md.bz2
- usr/share/doc/containerd-1.7.20/tracing.md.bz2
- usr/share/doc/containerd-1.7.20/transfer.md.bz2
- usr/share/man/man5/containerd-config.toml.5.bz2
- usr/share/man/man8/containerd-config.8.bz2
- usr/share/man/man8/containerd.8.bz2
- usr/share/man/man8/ctr.8.bz2
- var/db/pkg/app-emulation/containerd-1.7.20/BDEPEND
- var/db/pkg/app-emulation/containerd-1.7.20/BUILD_TIME
- var/db/pkg/app-emulation/containerd-1.7.20/CATEGORY
- var/db/pkg/app-emulation/containerd-1.7.20/CBUILD
- var/db/pkg/app-emulation/containerd-1.7.20/CFLAGS
- var/db/pkg/app-emulation/containerd-1.7.20/CHOST
- var/db/pkg/app-emulation/containerd-1.7.20/CONTENTS
- var/db/pkg/app-emulation/containerd-1.7.20/COUNTER
- var/db/pkg/app-emulation/containerd-1.7.20/CXXFLAGS
- var/db/pkg/app-emulation/containerd-1.7.20/DEFINED_PHASES
- var/db/pkg/app-emulation/containerd-1.7.20/DEPEND
- var/db/pkg/app-emulation/containerd-1.7.20/DESCRIPTION
- var/db/pkg/app-emulation/containerd-1.7.20/EAPI
- var/db/pkg/app-emulation/containerd-1.7.20/FEATURES
- var/db/pkg/app-emulation/containerd-1.7.20/HOMEPAGE
- var/db/pkg/app-emulation/containerd-1.7.20/INHERITED
- var/db/pkg/app-emulation/containerd-1.7.20/IUSE
- var/db/pkg/app-emulation/containerd-1.7.20/IUSE_EFFECTIVE
- var/db/pkg/app-emulation/containerd-1.7.20/KEYWORDS
- var/db/pkg/app-emulation/containerd-1.7.20/LDFLAGS
- var/db/pkg/app-emulation/containerd-1.7.20/LICENSE
- var/db/pkg/app-emulation/containerd-1.7.20/NEEDED
- var/db/pkg/app-emulation/containerd-1.7.20/PF
- var/db/pkg/app-emulation/containerd-1.7.20/RDEPEND
- var/db/pkg/app-emulation/containerd-1.7.20/REQUIRES
- var/db/pkg/app-emulation/containerd-1.7.20/RESTRICT
- var/db/pkg/app-emulation/containerd-1.7.20/SIZE
- var/db/pkg/app-emulation/containerd-1.7.20/SLOT
- var/db/pkg/app-emulation/containerd-1.7.20/USE
- var/db/pkg/app-emulation/containerd-1.7.20/containerd-1.7.20.ebuild
- var/db/pkg/app-emulation/containerd-1.7.20/environment.bz2
- var/db/pkg/app-emulation/containerd-1.7.20/repository
- var/lib/containerd/.keep_app-emulation_containerd-0
package_cacheimage: ""
runtime:
  name: containerd
  version: 1.7.20
  category: app-emulation
  use_flags:
  - btrfs
  - seccomp
  requires:
  - name: runc
    version: '>=0'
    category: app-emulation
  - name: btrfs-progs
    version: '>=0'
    category: sys-fs
  - name: cni-plugins
    version: '>=0'
    category: net-misc
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A daemon to control runC
  uri:
  - https://containerd.io/
  license: Apache-2.0
  labels:
    BDEPEND: dev-go/go-md2man virtual/pkgconfig >=dev-lang/go-1.12 app-arch/unzip
      virtual/pkgconfig
    DEPEND: btrfs? ( sys-fs/btrfs-progs ) seccomp? ( sys-libs/libseccomp )
    IUSE: apparmor btrfs device-mapper +cri hardened +seccomp selinux test
    RDEPEND: btrfs? ( sys-fs/btrfs-progs ) seccomp? ( sys-libs/libseccomp ) app-emulation/runc
    emerge.packages: app-emulation/containerd
    kit: core-kit
    original.package.name: app-emulation/containerd
    original.package.slot: "0"
    original.package.version: 1.7.20
